## plasma-framework 5.115.0

=== src/plasmaquick/CMakeLists.txt ===
add_library(KF5PlasmaQuick SHARED)
add_library(KF5::PlasmaQuick ALIAS KF5PlasmaQuick)

set_target_properties(KF5PlasmaQuick PROPERTIES
    VERSION     ${PLASMA_VERSION}
    SOVERSION   ${PLASMA_SOVERSION}
    EXPORT_NAME PlasmaQuick
)

target_sources(KF5PlasmaQuick PRIVATE
    appletquickitem.cpp
    debug_p.cpp
    dialog.cpp
    dialogshadows.cpp
    view.cpp
    containmentview.cpp
    configmodel.cpp
    shellpluginloader.cpp
    configview.cpp
    packageurlinterceptor.cpp
    private/configcategory_p.cpp
    ../declarativeimports/core/framesvgitem.cpp
    ../declarativeimports/core/managedtexturenode.cpp
    ../declarativeimports/core/units.cpp
)

if(HAVE_KWAYLAND)
    target_sources(KF5PlasmaQuick PRIVATE waylandintegration.cpp)
endif()

ecm_qt_declare_logging_category(KF5PlasmaQuick
    HEADER debug_p.h
    IDENTIFIER LOG_PLASMAQUICK
    CATEGORY_NAME kf.plasma.quick
    OLD_CATEGORY_NAMES org.kde.plasmaquick
    DESCRIPTION "Plasma Quick lib"
    EXPORT PLASMA
)

target_include_directories(KF5PlasmaQuick PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}/..>")

target_link_libraries(KF5PlasmaQuick
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Gui
        Qt${QT_MAJOR_VERSION}::Quick
        Qt${QT_MAJOR_VERSION}::Qml
        KF5::Plasma
        KF5::WindowSystem
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Svg
        KF5::I18n
        KF5::IconThemes
        KF5::Service
        KF5::CoreAddons
        KF5::XmlGui
        KF5::Declarative
        KF5::QuickAddons
)

if(HAVE_KWAYLAND)
    target_link_libraries(KF5PlasmaQuick
        PRIVATE
        KF5::WaylandClient
    )
endif()

if(HAVE_X11)
    target_link_libraries(KF5PlasmaQuick
        PRIVATE
            ${X11_LIBRARIES}
            XCB::XCB
    )
    if (TARGET Qt5::X11Extras)
        target_link_libraries(KF5PlasmaQuick PRIVATE Qt5::X11Extras)
    elseif(TARGET Qt6::Gui)
        target_link_libraries(KF5PlasmaQuick PRIVATE Qt6::GuiPrivate)
    endif()

    if(HAVE_XCB_SHAPE)
        target_link_libraries(KF5PlasmaQuick PRIVATE XCB::SHAPE)
    endif()
endif()

install(TARGETS KF5PlasmaQuick EXPORT KF5PlasmaQuickTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_export_header(KF5PlasmaQuick
    BASE_NAME PlasmaQuick
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS 5.12 5.25 5.36
)

set(plasmaquick_LIB_INCLUDES
    ${CMAKE_CURRENT_BINARY_DIR}/plasmaquick_export.h
    packageurlinterceptor.h
)

ecm_generate_headers(PlasmaQuick_CamelCase_HEADERS
    HEADER_NAMES
        AppletQuickItem
        ContainmentView
        ConfigView
        ConfigModel
        Dialog
    REQUIRED_HEADERS plasmaquick_LIB_INCLUDES
    PREFIX PlasmaQuick
)

install(FILES ${plasmaquick_LIB_INCLUDES}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/plasmaquick COMPONENT Devel)

install(FILES ${PlasmaQuick_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/PlasmaQuick COMPONENT Devel)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PlasmaQuick")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PlasmaQuickConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS  KDE_INSTALL_INCLUDEDIR_KF CMAKE_INSTALL_PREFIX
)

ecm_setup_version(${KF_VERSION}
                  VARIABLE_PREFIX PLASMAQUICK
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfigVersion.cmake" )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}" COMPONENT Devel
)

install(EXPORT KF5PlasmaQuickTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PlasmaQuickTargets.cmake NAMESPACE KF5:: )

=== src/declarativeimports/calendar/CMakeLists.txt ===
add_library(calendarplugin SHARED)

target_sources(calendarplugin PRIVATE
    calendarplugin.cpp
    #incidencemodifier.cpp
    calendar.cpp
    calendardata.cpp
    #calendardayhelper.cpp
    #calendarroleproxymodel.cpp
    #datetimerangefiltermodel.cpp
    daysmodel.cpp
    eventdatadecorator.cpp
    eventpluginsmanager.cpp
)

target_link_libraries(calendarplugin
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::Gui
    KF5::I18n
    KF5::CalendarEvents
    KF5::CoreAddons
)

install(TARGETS calendarplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/calendar)
install(DIRECTORY qml/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/calendar)

ecm_generate_qmltypes(org.kde.plasma.calendar 2.0 DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/calendar)

=== src/declarativeimports/kirigamiplasmastyle/CMakeLists.txt ===

add_library(KirigamiPlasmaStyle MODULE ${org.kde.desktop_SRCS})

target_sources(KirigamiPlasmaStyle PRIVATE
    plugin.cpp
    units.cpp
)

target_link_libraries(KirigamiPlasmaStyle
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
        KF5::Kirigami2
    PRIVATE
        Qt${QT_MAJOR_VERSION}::DBus
        Qt${QT_MAJOR_VERSION}::Qml
        Qt${QT_MAJOR_VERSION}::Quick
        KF5::ConfigWidgets
        KF5::IconThemes
)

install(TARGETS KirigamiPlasmaStyle DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kirigami)

install(FILES
    AbstractApplicationHeader.qml
    Icon.qml
    Theme.qml
    DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/styles/Plasma
)

=== src/plasma/packagestructure/CMakeLists.txt ===
function(install_package_structure name)
    kcoreaddons_add_plugin(${name} SOURCES ${name}_packagestructure.cpp INSTALL_NAMESPACE "kpackage/packagestructure")
    target_link_libraries(${name} plasma_packagestructure_static)
endfunction()

add_library(plasma_packagestructure_static STATIC packages.cpp)
target_link_libraries(plasma_packagestructure_static KF5::Package KF5::Plasma KF5::I18n)
set_property(TARGET plasma_packagestructure_static PROPERTY POSITION_INDEPENDENT_CODE ON)

install_package_structure(plasma_generic)
install_package_structure(plasma_applet)
install_package_structure(plasma_dataengine)
install_package_structure(plasma_theme)
install_package_structure(plasma_containmentactions)

=== src/scriptengines/qml/CMakeLists.txt ===
# APPLET

if(KDE_PLATFORM_FEATURE_BINARY_COMPATIBLE_FEATURE_REDUCTION)
    set(PLASMA_NO_KDEWEBKIT TRUE)
    set(PLASMA_NO_SOLID TRUE)
endif()

#DECLARATIVE APPLET
add_library(plasma_appletscript_declarative MODULE)

target_sources(plasma_appletscript_declarative PRIVATE
    plasmoid/declarativeappletscript.cpp
    plasmoid/dropmenu.cpp
    plasmoid/appletinterface.cpp
    plasmoid/containmentinterface.cpp
    plasmoid/wallpaperinterface.cpp
)

set_target_properties(plasma_appletscript_declarative PROPERTIES PREFIX "")

target_link_libraries(plasma_appletscript_declarative
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF5::Activities
    KF5::ConfigQml
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Declarative
    KF5::I18n
    KF5::XmlGui # KActionCollection
    KF5::Plasma
    KF5::PlasmaQuick
    KF5::Package
    KF5::Notifications
)
if (QT_MAJOR_VERSION EQUAL "6")
    target_link_libraries(plasma_appletscript_declarative KF5::ConfigQml)
endif()


install(TARGETS plasma_appletscript_declarative DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/scriptengines)
install(FILES data/plasma-wallpaper.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPESDIR})

=== debian/changelog ===
plasma-framework (5.115.0-7) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Since version 5.115.0-6 this package will break Plasma 5 so mark it
    as such. Versions 5.115.0-6 and later are only useful so that Qt5
    applications outside of Plasma can continue working alongside Plasma
    6. (Closes: #1088674)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 29 Nov 2024 14:47:41 +0100

plasma-framework (5.115.0-6) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 24 Nov 2024 09:35:21 +0100

plasma-framework (5.115.0-6~exp1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Build without the desktop themes to allow coinstallability with the Plasma
    6 version replacing it.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 00:37:54 +0200

plasma-framework (5.115.0-5) unstable; urgency=medium

  * Revert the experimental changes that were uploaded too early. We will need this only when we ship Plasma 6 to experimental.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 00:15:04 +0200

plasma-framework (5.115.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:20:52 +0200

plasma-framework (5.115.0-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Build without the desktop themes to allow coinstallability with the Plasma
    6 version replacing it.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 11 Jul 2024 00:10:48 +0200

plasma-framework (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:17:20 +0200

plasma-framework (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015583).
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:09:11 +0100

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               gettext,
               kirigami2-dev (>= 5.115.0~),
               libegl-dev,
               libkf5activities-dev (>= 5.115.0~),
               libkf5archive-dev (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5configwidgets-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5dbusaddons-dev (>= 5.115.0~),
               libkf5declarative-dev (>= 5.115.0~),
               libkf5doctools-dev (>= 5.115.0~),
               libkf5globalaccel-dev (>= 5.115.0~),
               libkf5guiaddons-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5iconthemes-dev (>= 5.115.0~),
               libkf5kio-dev (>= 5.115.0~),
               libkf5notifications-dev (>= 5.115.0~),
               libkf5package-dev (>= 5.115.0~),
               libkf5parts-dev (>= 5.115.0~),
               libkf5service-dev (>= 5.115.0~),
               libkf5wayland-dev (>= 4:5.115.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libkf5xmlgui-dev (>= 5.115.0~),
               libopengl-dev,
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libsm-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/plasma-framework
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-framework
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-framework.git
Rules-Requires-Root: no

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.115.0~),
         libkf5package-dev (>= 5.115.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.115.0~),
         libkf5windowsystem-dev (>= 5.115.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5plasma-doc (= ${source:Version}),
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig (>= 5.70.0~),
         qml-module-org-kde-kquickcontrols (>= 5.70.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-desktop (<< 4:6.0.0~),
        plasma-workspace (<< 4:6.0.0~),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

## plasma-framework 5.116.0

=== src/scriptengines/CMakeLists.txt ===
add_subdirectory(qml)

=== src/desktoptheme/air/CMakeLists.txt ===
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/metadata.json.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
    @ONLY
)

install(
    FILES colors "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
          plasmarc
    DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/air
)

FILE(GLOB widgets widgets/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH widgets FILES ${widgets})

FILE(GLOB dialogs dialogs/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH dialogs FILES ${dialogs})

FILE(GLOB opaque_dialogs opaque/dialogs/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH opaque/dialogs FILES ${opaque_dialogs})

FILE(GLOB opaque_widgets opaque/widgets/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH opaque/widgets FILES ${opaque_widgets})

FILE(GLOB translucent_widgets translucent/widgets/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH translucent/widgets FILES ${translucent_widgets})

FILE(GLOB translucent_dialogs translucent/dialogs/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH translucent/dialogs FILES ${translucent_dialogs})

FILE(GLOB icons icons/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH icons FILES ${icons})

=== debian/changelog ===
plasma-framework (5.116.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Revert patch to lower KWayland required version. We do still ship KF5’s
    kwayland in the kwayland-kf5 package.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Apr 2025 01:04:38 +0200

plasma-framework (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Lower KWayland required version to 5.115, we ship 6.x in the same
    package name and there’s no new commit in the 5.116 upstream
    release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:44:11 +0200

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               gettext,
               kirigami2-dev (>= 5.116.0~),
               libegl-dev,
               libkf5activities-dev (>= 5.116.0~),
               libkf5archive-dev (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5configwidgets-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5dbusaddons-dev (>= 5.116.0~),
               libkf5declarative-dev (>= 5.116.0~),
               libkf5doctools-dev (>= 5.116.0~),
               libkf5globalaccel-dev (>= 5.116.0~),
               libkf5guiaddons-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libkf5iconthemes-dev (>= 5.116.0~),
               libkf5kio-dev (>= 5.116.0~),
               libkf5notifications-dev (>= 5.116.0~),
               libkf5package-dev (>= 5.116.0~),
               libkf5parts-dev (>= 5.116.0~),
               libkf5service-dev (>= 5.116.0~),
               libkf5wayland-dev (>= 4:5.116.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.116.0~),
               libkf5windowsystem-dev (>= 5.116.0~),
               libkf5xmlgui-dev (>= 5.116.0~),
               libopengl-dev,
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libsm-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/plasma-framework
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-framework
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-framework.git
Rules-Requires-Root: no

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.116.0~),
         libkf5package-dev (>= 5.116.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.116.0~),
         libkf5windowsystem-dev (>= 5.116.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5plasma-doc (= ${source:Version}),
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig (>= 5.70.0~),
         qml-module-org-kde-kquickcontrols (>= 5.70.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-desktop (<< 4:6.0.0~), plasma-workspace (<< 4:6.0.0~),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF -DBUILD_DESKTOPTHEMES=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/plasma-framework-([\d.]+)\.tar\.xz

## plasma-framework 5.116.0+p24.04+vstable+git20250908.0846

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20250908.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 08:46:44 +0000

plasma-framework (5.116.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:28:18 +0000

plasma-framework (5.114.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 06 Jan 2024 16:16:20 +0000

plasma-framework (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 16:16:21 +0000

plasma-framework (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:47:34 +0000

plasma-framework (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:34:21 +0000

plasma-framework (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 03:38:51 +0000

plasma-framework (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:19:08 +0000

plasma-framework (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:50:51 +0000

plasma-framework (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:09:32 +0000

plasma-framework (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:32:26 +0000

plasma-framework (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:37:05 +0000

plasma-framework (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:45:15 +0000

plasma-framework (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:05:00 +0000

plasma-framework (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:08:03 +0000

plasma-framework (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:16:28 +0000

plasma-framework (5.100.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:31:16 +0000

plasma-framework (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:42:16 +0000

plasma-framework (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:13:03 +0000

plasma-framework (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:42:30 +0000

plasma-framework (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:05:27 +0000

plasma-framework (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 22:52:55 +0000

plasma-framework (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:21:27 +0000

plasma-framework (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:28:30 +0000

plasma-framework (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:56:04 +0000

plasma-framework (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 16:16:09 +0000

plasma-framework (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:12:07 +0000

## plasma-framework 5.116.0+p24.04+vstable+git20250909.0656

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20250909.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:56:49 +0000

## plasma-framework 5.116.0+p24.04+vstable+git20251015.1210

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20251015.1210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:10:12 +0000

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               kirigami2-dev (>= 5.83.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.83.0~),
               libkf5archive-dev (>= 5.83.0~),
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5declarative-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5globalaccel-dev (>= 5.83.0~),
               libkf5guiaddons-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.83.0~),
               libkf5kio-dev (>= 5.83.0~),
               libkf5notifications-dev (>= 5.83.0~),
               libkf5package-dev (>= 5.83.0~),
               libkf5parts-dev (>= 5.83.0~),
               libkf5service-dev (>= 5.83.0~),
               libkf5wayland-dev (>= 4:5.83.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5windowsystem-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev,
               libsm-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/plasma-framework
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/plasma-framework.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-framework
Maintainer: Neon CI <neon@kde.org>

Package: libkf5plasma5-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.83.0~),
         libkf5package-dev (>= 5.83.0~),
         libkf5plasma5-5 (= ${binary:Version}),
         libkf5plasmaquick5-5 (= ${binary:Version}),
         libkf5service-dev (>= 5.83.0~),
         libkf5windowsystem-dev (>= 5.83.0~),
         plasma-framework5 (= ${binary:Version}),
         qtdeclarative5-dev,
         ${misc:Depends}
Breaks: libkf5runner-dev (<< 5.54)
Recommends: libkf5plasma5-doc (= ${source:Version})
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma5-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5plasma5-5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.
Breaks: libkf5runner5 (<< 5.54),
        plasma-framework5 (<< 5.87.0),
        qml-module-org-kde-runnermodel (<< 5.42)
Replaces: plasma-framework5 (<< 5.87.0)

Package: libkf5plasmaquick5-5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework5
Architecture: any
Depends: qml-module-org-kde-kconfig (>= 5.70.0~),
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrols (>= 5.70.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kirigami2 (<< 5.44)
Replaces: qml-module-org-kde-kirigami2 (<< 5.42~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF -DBUILD_DESKTOPTHEMES=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4

https://download.kde.org/stable/frameworks/5([\d.]+)/plasma-framework-([\d.]+)\.tar\.xz

## plasma-framework 5.116.0+p24.04+vstable+git20251020.0332

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts
project(Plasma VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.116.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)
include(ECMSetupQtPluginMacroNames)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_DESKTOPTHEMES "Build with desktop themes. Turn this off when getting the desktop files from KF6" ON)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PLASMA
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfigVersion.cmake"
                  SOVERSION 5)

################# now find all used packages #################

set (REQUIRED_QT_VERSION 5.15.2)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Sql Qml Svg QuickControls2)
if (QT_MAJOR_VERSION EQUAL "6")
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS ShaderTools)
endif()

find_package(KF5 ${KF_DEP_VERSION} REQUIRED
    COMPONENTS
        Activities
        Archive
        Config
        ConfigWidgets
        CoreAddons
        DBusAddons
        Declarative
        GlobalAccel
        GuiAddons
        I18n
        IconThemes
        KIO
        WindowSystem
        XmlGui
        Notifications
        Package
        Kirigami2
    OPTIONAL_COMPONENTS
        Wayland
        DocTools
)
if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.94.0)
    find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS Service)
endif()

set_package_properties(KF5Wayland PROPERTIES DESCRIPTION "Integration with the Wayland compositor"
                       TYPE OPTIONAL
                      )
if(KF5Wayland_FOUND)
  set(HAVE_KWAYLAND 1)
endif()

set_package_properties(KF5DocTools PROPERTIES DESCRIPTION "Tools to generate documentation"
                       TYPE OPTIONAL
                      )

option(WITHOUT_X11 "Build without X11 support (skips finding X11)." OFF)
if(NOT WITHOUT_X11)
    #optional features
    find_package(X11 MODULE)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org/"
                        TYPE OPTIONAL
                        )
    find_package(XCB MODULE COMPONENTS XCB COMPOSITE DAMAGE SHAPE XFIXES RENDER)
    set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                        URL "https://xcb.freedesktop.org/"
                        TYPE OPTIONAL
                        )
    if(X11_FOUND AND XCB_XCB_FOUND)
        set(HAVE_X11 1)
        if (QT_MAJOR_VERSION STREQUAL "5")
            find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE)
        elseif (QT_MAJOR_VERSION STREQUAL "6")
            find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui) # qtx11extras_p.h
        endif()
        #X11_Xrender discovery is done by FindX11
        #add_feature_info("X Rendering Extension (libXrender)" X11_Xrender_FOUND "Support for compositing, rendering operations, and alpha-blending. STRONGLY RECOMMENDED")
        set(HAVE_XCB_SHAPE ${XCB_SHAPE_FOUND})
    else()
        set(HAVE_X11 0)
        set(HAVE_XCB_SHAPE 0)
    endif()
endif()

find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "https://www.opengl.org/"
                       TYPE OPTIONAL
                      )

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       PURPOSE "Fallback when OpenGL not available because of missing GLVND"
                       TYPE OPTIONAL
                      )

get_target_property(QtGui_Enabled_Features Qt${QT_MAJOR_VERSION}::Gui QT_ENABLED_PUBLIC_FEATURES)
if(OpenGL_GLX_FOUND AND HAVE_X11 AND (QtGui_Enabled_Features MATCHES "opengl"))
    add_feature_info(GLX OpenGL_GLX_FOUND "OpenGL GLX libraries.")
    set(HAVE_GLX 1)
else()
    set(HAVE_GLX 0)
endif()


# OpenGL_EGL_FOUND is defined by FindOpenGL
if(TARGET OpenGL::EGL)
    add_feature_info(EGL OpenGL_EGL_FOUND
                     "A platform-agnostic mechanism for creating rendering surfaces for use with other graphics libraries, such as OpenGL|ES and OpenVG.")
    set(HAVE_EGL 1)
else()
    set(HAVE_EGL 0)
    message(STATUS "OpenGL::EGL is not available")
endif()


#########################################################################

# TODO KF6 remove
ecm_setup_qtplugin_macro_names(
    JSON_NONE
        "K_EXPORT_PLASMA_SERVICE"
        "K_EXPORT_PLASMA_APPLET"
        "K_EXPORT_PLASMA_PACKAGE"
        "K_EXPORT_PLASMA_APPLETSCRIPTENGINE"
        "K_EXPORT_PLASMA_DATAENGINESCRIPTENGINE"
        "K_EXPORT_PLASMA_DATAENGINE"
    JSON_ARG2
        "K_EXPORT_PLASMA_PACKAGE_WITH_JSON"
    JSON_ARG3
        "K_EXPORT_PLASMA_SERVICE_WITH_JSON"
        "K_EXPORT_PLASMA_APPLET_WITH_JSON"
        "K_EXPORT_PLASMA_APPLETSCRIPTENGINE_WITH_JSON"
        "K_EXPORT_PLASMA_DATAENGINESCRIPTENGINE_WITH_JSON"
        "K_EXPORT_PLASMA_CONTAINMENTACTIONS_WITH_JSON"
        "K_EXPORT_PLASMA_DATAENGINE_WITH_JSON"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

ecm_set_disabled_deprecation_versions(
    QT 5.14 # needed for qmlRegisterInterface
    KF 5.95
    KCOREADDONS 5.88 # KPluginMetaData::serviceTypes
    KSERVICE 5.86 # KService::pluginKeyword
    KDECLARATIVE 5.88 # KDeclarative::ConfigPropertyMap
)

#add_definitions(-Wno-deprecated)

include(KF5PlasmaMacros.cmake)

#########################################################################


option(BUILD_EXAMPLES "Build and install Plasma examples." OFF)
option(BUILD_COVERAGE "Build Plasma Frameworks with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make plasma_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"libplasma5\")
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
add_subdirectory(src)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()
add_subdirectory(templates)

################ create PlasmaConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Plasma")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Plasma_QCH
        FILE KF5PlasmaQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PlasmaQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PlasmaConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PlasmaMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PlasmaTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5PlasmaTargets.cmake
        NAMESPACE KF5::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Plasma COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20251020.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:32:12 +0000

## plasma-framework 5.116.0+p24.04+vstable+git20251224.0009

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20251224.0009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 00:09:53 +0000

## plasma-framework 5.116.0+p24.04+vstable+git20260102.1202

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20260102.1202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:02:24 +0000

## plasma-framework 5.116.0+p24.04+vstable+git20260116.0319

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20260116.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 03:19:06 +0000

## plasma-framework 5.116.0+p24.04+vstable+git20260122.1333

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20260122.1333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 13:33:36 +0000

## plasma-framework 5.116.0+p24.04+vstable+git20260131.0235

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20260131.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:35:17 +0000

## plasma-framework 5.116.0+p24.04+vunstable+git20251111.0400

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vunstable+git20251111.0400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 04:00:28 +0000

## plasma-framework 5.116.0+p24.04+vunstable+git20251124.1010

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vunstable+git20251124.1010-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 10:10:37 +0000

## plasma-framework 5.116.0+p24.04+vunstable+git20260122.0250

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vunstable+git20260122.0250-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:50:54 +0000

## plasma-framework 5.116.0+p24.04+vunstable+git20260201.0545

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vunstable+git20260201.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:45:30 +0000
